[PATCH] hgcommand.vim: refer Vim7 users to vcscommand plugin

Christian Ebert blacktrash at gmx.net
Wed Mar 12 11:38:15 CDT 2008


Salut Benoit,

* Benoit Boissinot on Wednesday, March 12, 2008 at 13:26:54 +0100
> On Wed, Mar 12, 2008 at 11:30 AM, Christian Ebert <blacktrash at gmx.net> wrote:
>> * Benoit Boissinot on Wednesday, March 12, 2008 at 10:14:41 +0100
>>> I tried this, but it failed to work, which version of vcscommand
>>> should be used ? (with latest hg)
>> 
>> I've been using beta19 for quite some time now w/o probs. Just
>> upgraded to beta21, and so far it runs smoothly as well.
>> 
>> What do mean by "failed to work"?
>> 
> Ok, it was my fault (on this installation $PYTHONPATH was set but not
> exported, so vim couldn't have it in its environment)

Hm, it's also partly my fault: I get

VCSCommand:  Vim(return):E119: Not enough arguments for function: VCSCommandDoCommand

with beta21.

As it works with CVS, it seems to be a problem with Vladimir
Marek's vcshg.vim. I'll try to contact him.

beta19, beta20 work thought, according to more thorough testing.

> thanks and sorry.

np

c
-- 
Wer auf sein Elend tritt, steht höher.
_HÖLDERLIN: H Y P E R I O N_ <http://www.blacktrash.org/hyperion/>


More information about the Mercurial-devel mailing list